cmake: add --progress flag to git submodule update commands

Ceph has lots of submodules that needs to be cloned before building
binaries from the repository. Seeing the progress when these submodules
are being cloned is useful, especially when developers/users have a
network issue or a slow network.

Signed-off-by: Rishabh Dave <ridave@redhat.com>
This commit is contained in:
Rishabh Dave 2023-10-26 16:18:31 +05:30
parent 54fea2eefd
commit eb6995436f
6 changed files with 7 additions and 7 deletions

View File

@ -40,7 +40,7 @@ following commands to move into the cloned `ceph/ceph` repository and to check
out the git submodules associated with it:
cd ceph
git submodule update --init --recursive
git submodule update --init --recursive --progress
## Build Prerequisites

View File

@ -2,7 +2,7 @@
set -ex
if [ -d .git ]; then
git submodule update --init --recursive
git submodule update --init --recursive --progress
fi
: ${BUILD_DIR:=build}

View File

@ -27,7 +27,7 @@ script of ``script/gen-corpus.sh``, or by following the instructions below:
git clone ceph.git
cd ceph
git submodule update --init --recursive
git submodule update --init --recursive --progress
#. Build with flag to dump objects to ``/tmp/foo``::

View File

@ -154,13 +154,13 @@ Updating Submodules
.. prompt:: bash $
git submodule update --force --init --recursive
git submodule update --force --init --recursive --progress
git clean -fdx
git submodule foreach git clean -fdx
If you still have problems with a submodule directory, use ``rm -rf
[directory name]`` to remove the directory. Then run ``git submodule update
--init --recursive`` again.
--init --recursive --progress`` again.
#. Run ``git status`` again:

View File

@ -35,7 +35,7 @@ echo "version $version"
# update submodules
echo "updating submodules..."
force=$(if git submodule usage 2>&1 | grep --quiet 'update.*--force'; then echo --force ; fi)
if ! git submodule sync || ! git submodule update $force --init --recursive; then
if ! git submodule sync || ! git submodule update $force --init --recursive --progress; then
echo "Error: could not initialize submodule projects"
echo " Network connectivity might be required."
exit 1

View File

@ -58,7 +58,7 @@ if [ -e rocksdb ]; then
fi
pushd $(dirname /home/ubuntu/cephtest/clone.client.0/qa/workunits/rados/bash.sh)/../../../
git submodule update --init src/rocksdb
git submodule update --init --progress src/rocksdb
popd
git clone $(dirname /home/ubuntu/cephtest/clone.client.0/qa/workunits/rados/bash.sh)/../../../src/rocksdb rocksdb